Skip to main content
Version: API v1

Confirm your new multi factor

POST/v1/mfa/actions/confirm/
API version
v1
Request method
POST
Operation ID
confirmMfa

This action returns recovery codes you can use to authenticate once.\nKeep track of them carefully. Don not lose them.\n

Request

Responses

Format
application/json
Description

Mfa is now activated. You can not login without your mfa again.\n

  • recoveryCodesListarray of string (≥ 16 characters, ≤ 16 characters)
    required

    A recovery code may only be used once. They can be used if you lose access to your mfa device.\n

    • Array[
      • *string (≥ 16 characters, ≤ 16 characters)
      ]

Usage examples

$ curl \
--fail \
--location \
-X POST \
-d '{"multiFactorCode":123456}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v1/mfa/actions/confirm